### Method

# Lfb Event set_app_id

#### Declaration [src]

    void
    lfb_event_set_app_id (
      LfbEvent* self,
      const char* app_id
    )

#### Description [src]

Tells the feedback server to use the given application id for this event when it is submitted. The server might ignore this request. This can be used by notification daemons to honor per application settings automatically.

The functions is usually not used by applications.

A value of `NULL` (the default) lets the server pick the profile.

Sets property | `Lfb.Event:app-id`

#### Parameters

`app_id`

  Type: `const char*`

  The application id to use.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.